
/*                                                                                                                                                                                                          
 *  JS Translation strings reside here. 
 */
/*jslint nomen: true, unparam: true, sloppy: true, vars: true, browser: true */
/*global define: true, portal_cdn: true, portal_url: true */
define(['dojo/cookie'
        ],
       function(cookie
                ){
           var en_success = "Success:";
           var en_missing_features = "Your browser is incompatible with some features of this site.";
           var en_browser_suggestions = "Please upgrade to the latest version of Google Chrome, Firefox, or Microsoft Edge.";
           var en_non_mobile = "This product is only accessible on a desktop or laptop computer.";
           var en_browser_compatible = "Your browser is compatible.";
           var en_browser_incompatible = "Your browser is incompatible";
           var en_change_photo = "Change photo";
           var en_click_for_details = "Click for details";
           var en_websocket_required = "WebSocket support required";
           
           var fr_success = "Success:";
           var fr_missing_features = "Votre navigateur n'est pas compatible avec certains attributs du présent site Web.";
           var fr_browser_suggestions = "Veuillez installer la version la plus récente de Google Chrome, Firefox ou Microsoft Edge.";
           var fr_non_mobile = "Il faut un ordinateur de bureau ou un ordinateur portatif pour accéder à ce produit.";
           var fr_browser_compatible = "Votre navigateur est compatible.";
           var fr_browser_incompatible = "Votre navigateur n'est pas compatible";
           var fr_change_photo = "Changer photo";
           var fr_click_for_details = "Cliquez ici pour plus de détails";
           var fr_websocket_required = "Assistance technique des sockets web obligatoire";


           var es_success = "Éxito:";
           var es_missing_features = "Su navegador es incompatible con algunas características de este sitio.";
           var es_browser_suggestions = "Actualice Google Chrome, Firefox o Microsoft Edge a la última versión.";
           var es_non_mobile = "Solo se puede acceder a este producto desde una computadora portátil o de escritorio.";
           var es_browser_compatible = "Su navegador es compatible.";
           var es_browser_incompatible = "Su navegador es incompatible";
           var es_change_photo = "Cambiar la foto.";
           var es_click_for_details = "Haga clic aquí para más detalles";
           var es_websocket_required = "WebSocket support required";

           // (Daniel B.) - Tue Apr-30-2019 09:49:04
           var zh_success = "成功：";
           var zh_missing_features = "您的浏览器与此网站的某些功能不兼容。";
           var zh_browser_suggestions = "请升级到最新版本的 Google Chrome、Firefox 或 Microsoft Edge。";
           var zh_non_mobile = "此产品只能在台式机或笔记本电脑上使用。";
           var zh_browser_compatible = "您的浏览器兼容。";
           var zh_browser_incompatible = "您的浏览器不兼容";
           var zh_change_photo = "更改照片";
           var zh_click_for_details = "Click for details";
           var zh_websocket_required = "需要 WebSocket 支持";

           var res = {};
           lang = cookie('I18N_LANGUAGE');

           if (lang == 'fr'){
               res['success'] = fr_success;
               res['missing_features'] = fr_missing_features;
               res['non_mobile'] = fr_non_mobile;
               res['browser_compatible'] = fr_browser_compatible;
               res['browser_incompatible'] = fr_browser_incompatible;
               res['browser_suggestions'] = fr_browser_suggestions;
               res['change_photo'] = fr_change_photo;
               res['click_for_details'] = fr_click_for_details;
               res['websocket_required'] = fr_websocket_required
           }else if (lang == 'es'){
               res['success'] = es_success;
               res['missing_features'] = es_missing_features;
               res['non_mobile'] = es_non_mobile;
               res['browser_compatible'] = es_browser_compatible;
               res['browser_incompatible'] = es_browser_incompatible;
               res['browser_suggestions'] = es_browser_suggestions;
               res['change_photo'] = es_change_photo;
               res['click_for_details'] = es_click_for_details;
               res['websocket_required'] = es_websocket_required
           }else if (lang == 'zh'){
               res['success'] = zh_success;
               res['missing_features'] = zh_missing_features;
               res['non_mobile'] = zh_non_mobile;
               res['browser_compatible'] = zh_browser_compatible;
               res['browser_incompatible'] = zh_browser_incompatible;
               res['browser_suggestions'] = zh_browser_suggestions;
               res['change_photo'] = zh_change_photo;
               res['click_for_details'] = zh_click_for_details;
               res['websocket_required'] = zh_websocket_required
           }else{
               res['success'] = en_success;
               res['missing_features'] = en_missing_features;
               res['non_mobile'] = en_non_mobile;
               res['browser_compatible'] = en_browser_compatible;
               res['browser_incompatible'] = en_browser_incompatible;
               res['browser_suggestions'] = en_browser_suggestions;
               res['change_photo'] = en_change_photo;
               res['click_for_details'] = en_click_for_details;
               res['websocket_required'] = en_websocket_required
            }

           return res

       });
